<?php

require('../fpdf181/fpdf.php');


class pdf extends FPDF
{
	
	// Propiedad para almacenar información adicional
    var $footer_text;
    var $header_text;
	// Constructor para inicializar la propiedad
    // Constructor para inicializar la propiedad
    function __construct($orientation='P', $unit='mm', $size='letter', $header_text='',$footer_text='')
    {
        parent::__construct($orientation, $unit, $size);
        $this->header_text = $header_text;
        $this->footer_text = $footer_text;
    }
	
	public function header()
	{
		//Estilo de letra I-scrip U-subrayada B-Bold
        //Estilo cuadro D-bordes F-relleno
        //Tipos de letra
        //$this->SetFont('Arial', 'B', 12);
        //$this->SetFont('courier', 'B', 12);
        //$this->SetFont('times', 'B', 12);

		// Datos de Cabecera del Invoice
		$data           = $this->header_text;
        $delimitador    = "/";
        $partes         = explode($delimitador, $data);
        $dia            = $partes[0];
        $fecha          = $partes[1];
        $semana         = $partes[2];
        //$vendedor       = $partes[3];

        //Cuadro
        $this->SetFillColor(220);
        //$this->Rect(60,10,145,6,'F');

        //Logo
		$this->Image('LogoTierradeOrigen.png', 5, 2, 45);

        //Datos
        //Titulo
        $this->SetY(8);
		$this->SetFont('helvetica', 'B', 12);
		$this->SetTextColor(60);
		$this->SetX(65);
		$this->Cell(110, 5, utf8_decode('REGISTRO DE VISITAS DIARIAS A CLIENTES'),0,0,'C','1');
       
        //datos
        $this->ln(8);
		$this->SetX(180);
        $this->SetFont('helvetica', 'B', 10);
		$this->Cell(40, 5, utf8_decode('DÍA Y SEMANA:'),0,0,'R',0);
        $this->Cell(5, 5, utf8_decode(''),0,0,'R',0);
        $this->SetFont('helvetica', '', 10);
        $this->Cell(40, 5, utf8_decode($dia).'/'.$semana,'B',0,'C',0);
        $this->ln(6);
		$this->SetX(180);
        $this->SetFont('helvetica', 'B', 10);
		$this->Cell(40, 5, utf8_decode('FECHA:'),0,0,'R',0);
        $this->Cell(5, 5, utf8_decode(''),0,0,'R',0);
        $this->SetFont('helvetica', '', 10);
        $this->Cell(40, 5, utf8_decode($fecha),'B',0,'C',0);
        $this->ln(6);
		$this->SetX(180);
        $this->SetFont('helvetica', 'B', 10);
		$this->Cell(40, 5, utf8_decode('VENDEDOR:'),0,0,'R',0);
        $this->Cell(5, 5, utf8_decode(''),0,0,'R',0);
        

        //Cabecera
        $this->SetFillColor(180);
        $this->ln(10);
		$this->SetX(2);
        $this->SetFont('helvetica', 'B', 8);
		$this->Cell(10, 10, utf8_decode('NRO.'),1,0,'C',1);
        $this->Cell(80, 10, utf8_decode('CLIENTE'),1,0,'C',1);
        $this->Cell(30, 5, utf8_decode('DÍA SUGERIDO'),1,0,'C',1);
        $y=$this->GetY()+5;
        $this->SetY($y);
        $this->SetX(92);
        $this->Cell(6, 5, utf8_decode('LU'),1,0,'C',1);
        $this->Cell(6, 5, utf8_decode('MA'),1,0,'C',1);
        $this->Cell(6, 5, utf8_decode('MI'),1,0,'C',1);
        $this->Cell(6, 5, utf8_decode('JU'),1,0,'C',1);
        $this->Cell(6, 5, utf8_decode('VI'),1,0,'C',1);
        $this->ln(-5);
        $this->SetX(122);
		$this->Cell(35, 10, utf8_decode('ATENDIDO POR'),1,0,'C',1);
        $this->Cell(20, 10, utf8_decode('TELÉFONO'),1,0,'C',1);
        $this->Cell(50, 10, utf8_decode('OBSERVACIONES'),1,0,'C',1);
        $this->Cell(50, 10, utf8_decode('SELLO'),1,0,'C',1);
	}

	public function footer()
	{
		/*
		$TTTTT    = $this->footer_text;

		$this->SetY(-80);
		$this->SetFont('helvetica', 'B', 7);
		$this->SetTextColor(60);
		$this->SetX(15);
		$this->Cell(80, 10, utf8_decode($Cliente),0,0,'L');
		$this->ln(4);
		$this->SetX(15);
		$this->Cell(80, 10, utf8_decode('Rif. '.$Rif),0,0,'L');
		
        */
	}
}

function Ymd_dmY(string $fecha, string $separador = "-"):string
{
	$ano=substr($fecha,0,4);
	$mes=substr($fecha, 5,2);
	$dia=substr($fecha, 8,2);
	$_fecha=$dia.$separador.$mes.$separador.$ano; 
	return $_fecha;
}

function formatoFecha($fecha)
{
	//$date   = date_format($fecha, 'F, jS Y');
	//$date   =	date('F, jS Y');
	$date   =	date('d/ m/ Y');
	return $date;
}

function SetCurrency(float $valor, string $signo = '$'):string
{
	return $signo.number_format($valor,2,'.','');
}




// Datos de la cabecera del control de vista
require_once "../modelos/Controlvisita.php";
$controlvisita	    = new Controlvisita();
$idcontrolvisita    =$_GET["id"];
$rsptav		        =$controlvisita->controlvisitacabecera($idcontrolvisita);
$regv		        =$rsptav->fetch_object();


$dia            =$regv->dia;
$fecha          =$regv->fecha_hora;
$fecha1			=Ymd_dmY($fecha);
$semana         =$regv->semana;
$header_text    = $dia.'/'.$fecha1.'/'.$semana;

// Se define el tamaño de hoja y margenes
$fpdf = new pdf('L','mm','letter', $header_text,'');
$fpdf->AddPage('landscape', 'letter');
$fpdf->SetMargins(10,30,20);

//Buscamos los vendedores
require_once "../modelos/Persona.php";
$persona	= new Persona();
$rsptve	    = $persona->listarclientepordiavisitasolovendedores();

$fpdf->SetFillColor(255);

//Bucle para tratatar cada vendedor
$inicio=true;
while ($regve=$rsptve->fetch_object()) {
    $vendedor   = $regve->vendedor;
    $idvendedor = $regve->idvendedor;
    
    //control para cambiar de pagina para cada vendedor
    if($inicio){
         $inicio=false;
    }else{
        $fpdf->AddPage();  
    }

    // Parte de la cabecera Vendedor
    $fpdf->SetXY(225,28);
    $fpdf->SetFont('helvetica', '', 8);
    $fpdf->Cell(40, 5, utf8_decode($vendedor),'B',0,'C',0);

    //Detalle para cada vendedor
    $rspta	=$persona->listarclientepordiavisita($idvendedor);
	$nro    = 1;
    $fpdf->SetFont('helvetica', '', 8);
    $x      = 2;
    $y      = 48;
	$salto  = 0;
	while ($reg=$rspta->fetch_object()) {
        if($salto>17){
            $fpdf->AddPage();
            $fpdf->SetXY(225,28);
            $fpdf->SetFont('helvetica', '', 8);
            $fpdf->Cell(40, 5, utf8_decode($vendedor),'B',0,'C',0);
            $salto  = 0;
            $x      = 2;
            $y      = 48;
        }
		$fpdf->SetXY($x,$y);
        $fpdf->Cell(10, 8, utf8_decode($nro),1,0,'C',1);
        $fpdf->Cell(80, 8, utf8_decode($reg->cliente),1,0,'L',1);
        $fpdf->Cell(6, 8, utf8_decode($reg->Lunes),1,0,'C',1);
        $fpdf->Cell(6, 8, utf8_decode($reg->Martes),1,0,'C',1);
        $fpdf->Cell(6, 8, utf8_decode($reg->Miercoles),1,0,'C',1);
        $fpdf->Cell(6, 8, utf8_decode($reg->Jueves),1,0,'C',1);
        $fpdf->Cell(6, 8, utf8_decode($reg->Viernes),1,0,'C',1);
        $fpdf->Cell(35, 8, utf8_decode(''),1,0,'C',1);
        $fpdf->Cell(20, 8, utf8_decode(''),1,0,'C',1);
        $fpdf->Cell(50, 8, utf8_decode(''),1,0,'C',1);
        $fpdf->Cell(50, 8, utf8_decode(''),1,0,'C',1);
        $nro    = $nro +1;
        $y      = $y +8;
        $salto  = $salto  + 1;
    }

}

/*
$rsptad=$pedido->pedidodetalles($_GET["id"]);
while($regd=$rsptad->fetch_object()){
	$precio 	=	$regd->precio_venta*1;
	$preciod 	=	$regd->precio_ventad*1;
	$subtotal	=	$regd->cajas*$precio*1;
	$subtotald	=	$regd->cajas*$preciod*1;
	$total		=	$total+$subtotal;
	$totald		=	$totald+$subtotald;
	if ($regd->exento=='si'){
		$exento 	= $exento+$subtotal;
		$exentod	=	$exentod+$subtotald;
	}else{
		$iva		=	$iva+($subtotal*0.16);
		$ivad		=	$ivad+($subtotald*0.16);
		$ivapvp		=	$ivapvp+($subtotalpvp*0.16);
		$totalG		= 	$totalG + $subtotal;
		$totalGd	= 	$totalGd + $subtotald;
		$totalGpvp	= 	$totalGpvp + $subtotalpvp;
	} 
		
	$articulo	= str_replace("amp;", "", $regd->articulo);
	$monto		= number_format($preciod, 2, ',', '.').' $';
	$cantidad	= number_format($regd->cajas, 0, ',', '.');
	$total1		= number_format($subtotald, 2, ',', '.').' $';

	$fpdf->SetXY(15,$y);
	$fpdf->MultiCell(90, 7, utf8_decode($articulo),'0','L',0);
	$yf=$fpdf->GetY();
	$fpdf->SetXY(105,$y);
	$fpdf->Cell(35, 7, $monto, 0, 0, 'R', 0);
	$fpdf->Cell(27, 7, $cantidad, 0, 0, 'C', 0);
	$fpdf->Cell(35, 7, $total1, 0, 0, 'R', 0);
	$fpdf->Line(16,$yf+2,202,$yf+2);
	$y=$yf+6;
	

}


//Totales
$totalapagar	=	$total + $iva;
$totalapagard	=	$totald + $ivad;
$y		=$y+4;
$fpdf	->SetY($y);
$fpdf	->SetX(117);
$fpdf	->Cell(35, 5, 'MONTO TOTAL', 'B', 0, 'R', 0);
$fpdf	->Cell(50, 5, number_format($totald, 2, ',', '.').' $', 'B', 0, 'R', 0);



*/

$fpdf->OutPut(utf8_decode('VisitaVendedor_'),'I');